<?php include('include/headscript.php'); ?>
<?php
// Includi la connessione al database


if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $user_id = $_POST['user_id'];
    $new_password = $_POST['new_password'];

    // Crittografa la password usando bcrypt
    $hashed_password = password_hash($new_password, PASSWORD_BCRYPT);

    $conn = new mysqli($servername, $username, $password, $database);
    // Aggiorna la password nel database
    $sql = "UPDATE auth_users SET password = ? WHERE id = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("si", $hashed_password, $user_id);

    if ($stmt->execute()) {
        echo "Password aggiornata con successo!";
    } else {
        echo "Errore durante l'aggiornamento della password: " . $conn->error;
    }

    // Chiudi la connessione
    $stmt->close();
    $conn->close();
}
